Welcome to XDA

Search to go directly to your device's forum

Register an account

Unlock full posting privileges

Ask a question

No registration required
Post Reply

[Q] No 4.4 update available for Xperia Z. Affected by Heartbleed Bug?

OP da Aryan Code

30th May 2014, 09:36 AM   |  #1  
OP Junior Member
Flag Thane
Thanks Meter: 0
 
7 posts
Join Date:Joined: May 2014
More
Sony has started rolling out 4.4 update for Xperia Z but I'm not able to download it. I tried checking for it in Update center for wireless updates but still it was not there. I also tried checking with Sony PC Companion but it says your mobile/tablet is up to date.

Am I affected by Heartbleed Bug? I tried checking my device with Heartbleed Detector but it said The version of OpenSSL on your device is affected by the heartbleed bug. But vulnerable behavior is not enabled. Everything is ok.

I read the blog of lookout heartbleed detector (I'm not allowed to post it's link. But you can easily see it by typing Lookout Heartbleed Detector Blog in your search engine). It states -

Quote:

If your device is vulnerable, you can check in your Android settings to see if you have any System Updates. If you do, update your operating system to make sure youíre running the newest version of Android available for your device.

Unfortunately, if there are no updates available, there isnít anything you can do. Itís up to the infrastructure teams behind the products and services you use to update their systems.

Plz help me. What to do?
30th May 2014, 10:23 AM   |  #2  
St.Jimmy90's Avatar
Senior Member
Flag Frankfurt
Thanks Meter: 141
 
610 posts
Join Date:Joined: Jul 2013
More
Quote:
Originally Posted by da Aryan Code

Sony has started rolling out 4.4 update for Xperia Z but I'm not able to download it. I tried checking for it in Update center for wireless updates but still it was not there. I also tried checking with Sony PC Companion but it says your mobile/tablet is up to date.

Am I affected by Heartbleed Bug? I tried checking my device with Heartbleed Detector but it said The version of OpenSSL on your device is affected by the heartbleed bug. But vulnerable behavior is not enabled. Everything is ok.

I read the blog of lookout heartbleed detector (I'm not allowed to post it's link. But you can easily see it by typing Lookout Heartbleed Detector Blog in your search engine). It states -



Plz help me. What to do?

DO NOT POST QUESTIONS IN THE GENERAL SECTION!!!!!!! Dude why don't you just read the forum rules??!!!!
30th May 2014, 10:24 AM   |  #3  
alkesh95's Avatar
Senior Member
Flag Mumbai
Thanks Meter: 154
 
992 posts
Join Date:Joined: Mar 2012
More
Wait and wait
Sony is going to release it soon
But you have to wait
Or flash nut's ftf

Sent from my C6502 using XDA Premium 4 mobile app
30th May 2014, 01:14 PM   |  #4  
MobileBritain's Avatar
Senior Member
Thanks Meter: 21
 
171 posts
Join Date:Joined: Apr 2010
You are not impacted by the Heartbleed issue.

It potentially (note the word potentially) impacted some devices running 4.1.1 and 4.1.2.

It is mainly a server side vulnerability so you could argue that the risk to those devices is minimal (as in so close to zero it would be almost impossible to measure).
Last edited by MobileBritain; 30th May 2014 at 07:18 PM.
31st May 2014, 04:05 PM   |  #5  
Member
Flag Pasig City
Thanks Meter: 5
 
65 posts
Join Date:Joined: Jan 2011
More
try Sony Update Service a.k.a. SUS, its the same as Sony PC Companion, you can download it for free just google it.
Post Reply Subscribe to Thread
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes